Package org.oasis_open.docs.ws_calendar.ns.soap

# Class ResourceTypeType

java.lang.Object
org.oasis_open.docs.ws_calendar.ns.soap.GetPropertiesBasePropertyType
org.oasis_open.docs.ws_calendar.ns.soap.ResourceTypeType

public class ResourceTypeType extends GetPropertiesBasePropertyType
Type returned in GetPropertiesResponse to define the type of the targeted resource.

Java class for ResourceTypeType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ResourceTypeType">
       <complexContent>
         <extension base="{http://docs.oasis-open.org/ws-calendar/ns/soap}GetPropertiesBasePropertyType">
           <sequence>
             <choice maxOccurs="unbounded" minOccurs="0">
               <element ref="{http://docs.oasis-open.org/ws-calendar/ns/soap}calendarCollection"/>
               <element ref="{http://docs.oasis-open.org/ws-calendar/ns/soap}collection"/>
               <element ref="{http://docs.oasis-open.org/ws-calendar/ns/soap}inbox"/>
               <element ref="{http://docs.oasis-open.org/ws-calendar/ns/soap}outbox"/>
               <element ref="{http://docs.oasis-open.org/ws-calendar/ns/soap}xresource"/>
             </choice>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected List<Object>`
  `calendarCollectionOrCollectionOrInbox`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ResourceTypeType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<Object>`
  `getCalendarCollectionOrCollectionOrInbox()`
  Gets the value of the calendarCollectionOrCollectionOrInbox property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### calendarCollectionOrCollectionOrInbox

    protected List<Object> calendarCollectionOrCollectionOrInbox

- ## Constructor Details

  - ### ResourceTypeType

    public ResourceTypeType()

- ## Method Details

  - ### getCalendarCollectionOrCollectionOrInbox

    public List<Object> getCalendarCollectionOrCollectionOrInbox()
    Gets the value of the calendarCollectionOrCollectionOrInbox property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the calendarCollectionOrCollectionOrInbox property.

    For example, to add a new item, do as follows:

            getCalendarCollectionOrCollectionOrInbox().add(newItem);

    Objects of the following type(s) are allowed in the list `CalendarCollectionType` `CollectionType` `InboxType` `OutboxType` `XresourceType`